help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Emacs RCS ci failed


From: gg44060
Subject: Re: Emacs RCS ci failed
Date: 24 Feb 2004 07:39:13 -0800

LEE Sau Dan wrote in message news:<address@hidden>...
> >>>>> "gg44060" == gg44060  <address@hidden> writes:
> 
>     gg44060> Hello, I am using RCS with multiple branches.  When I
>     gg44060> make a change and try to checkin with C-x C-q, I get an
>     gg44060> error "ci failed".  With C-x v l I see that there are
>     gg44060> multiple locks.  How do I fix this?  
> 
> 'ci'  can't guess  which version  you're trying  to check  in, because
> you're holding more than one locks  on that file.  Try C-u C-x C-q and
> see if Emacs prompts you to specify a version number to check in as.
> 
> 
>     gg44060> I can choose a branch manually each time I checkin, but
>     gg44060> that is quite tedious.
> 
> Use the  "rcs" command  in a  shell to remove  the other  locks you're
> holding.  Something  like "rcs  -u1.2.3.4 filename".  Read  "man rcs".
> (Read  also  the info  pages  on  vc.  It  may  has  support for  this
> operation from  within Emacs.   Or there may  be some  Emacs variables
> with which you can specify the "default" branch to check into.)

This is what I ended up doing.  I hear the version control code is
much better in Emacs 21, so I'll see how what works out.  From what I
saw in the info manuals, there is no support for removing locks etc in
Emacs 20.7

Thanks for the help.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]